Skip to main content

Version: 21.05 (EOL)

GET Delivery Channels

Return the list of delivery channel names for the specified organization.

info

The Delivery REST API Overview provides an introduction to this REST API, including information about:

  • Security (authentication and authorization)
  • Delivery channel
  • Testing
  • Delivery call sequence (POST Next, GET Data, POST Confirmation)
  • Client failure recovery

Request​

HTTP request​

GET https://<JM_SERVER>/manager/secure/rest/delivery/v1/<ORG_CODE>

Parameters​

This request takes no parameters.

Request body​

Do not supply a request body for this operation.

Example​

An example GET Delivery Channels request is shown below.

GET https://transact.maguire.com/manager/secure/rest/delivery/v1/maguire/

Response​

If successful, this operation returns a response with a HTTP 200 OK status code. Otherwise, it returns an error response.

Error responses​

HTTP status codeDescription
401 UnauthorizedUser not authorized to perform this operation.
404 Not FoundThe organization code may not exist.
503 Service UnavailableThe JM System Deployment property Enable REST/Web Service Delivery has been set to false.

Example​

An example successful response is shown below.

[
"credit-card",
"home-loans",
"home-loans-abandoned",
"insurance",
"insurance-abandoned"
]